org.modeshape.sequencer.xml

## Class XmlLexicon

- java.lang.Object
- - org.modeshape.sequencer.xml.XmlLexicon

-     public class XmlLexicon
      extends Object

  Lexicon of names for XML concepts.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XmlLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CDATA`
    `static String` | `CDATA_CONTENT`
    `static String` | `COMMENT`
    `static String` | `COMMENT_CONTENT`
    `static String` | `DOCUMENT`
    `static String` | `ELEMENT`
    `static String` | `ELEMENT_CONTENT`
    `static String` | `PROCESSING_INSTRUCTION`
    `static String` | `PROCESSING_INSTRUCTION_CONTENT`
    `static String` | `TARGET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CDATA

          public static final String CDATA

      See Also:
        Constant Field Values

    - #### CDATA_CONTENT

          public static final String CDATA_CONTENT

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final String COMMENT

      See Also:
        Constant Field Values

    - #### COMMENT_CONTENT

          public static final String COMMENT_CONTENT

      See Also:
        Constant Field Values

    - #### DOCUMENT

          public static final String DOCUMENT

      See Also:
        Constant Field Values

    - #### ELEMENT

          public static final String ELEMENT

      See Also:
        Constant Field Values

    - #### ELEMENT_CONTENT

          public static final String ELEMENT_CONTENT

      See Also:
        Constant Field Values

    - #### PROCESSING_INSTRUCTION

          public static final String PROCESSING_INSTRUCTION

      See Also:
        Constant Field Values

    - #### PROCESSING_INSTRUCTION_CONTENT

          public static final String PROCESSING_INSTRUCTION_CONTENT

      See Also:
        Constant Field Values

    - #### TARGET

          public static final String TARGET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XmlLexicon

          public XmlLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.